dropUnanimous {pscl} | R Documentation

## drop unanimous votes from rollcall objects and matrices

### Description

Drop unanimous votes from rollcall objects and rollcall matrices.

### Usage

    dropUnanimous(obj, lop = 0)

### Arguments

`obj` | object, either of class `rollcall` or `matrix`
`lop` | numeric, non-negative integer, less than number of legislators represented in `obj`. Roll calls with `lop` or fewer legislators voting in the minority are dropped. Default is 0, meaning that unanimous votes are dropped.

### Details

Unanimous votes are the equivalent of test items that all subjects score “correct” (or all subjects scores “incorrect”); since there is no variation among the legislators/subjects, these votes/items provide no information as to latent traits (ideology, preferences, ability). A reasonably large number of rollcalls in any contemporary U.S. Congress are unanimous.

Specific methods are provided for objects of class `rollcall` or `matrix`.

### Value

A `rollcall` object or a `matrix` depending on the class of `object`.

### Author(s)

Simon Jackman simon.jackman@sydney.edu.au

### See Also

`dropRollCall`, `rollcall`, `summary.rollcall`, `ideal`

### Examples

    data(s109)
    s109.working <- dropUnanimous(s109)
    summary(s109.working)

[Package pscl version 1.5.2 Index]